New autotools version
[scilab.git] / scilab / modules / action_binding / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2007-2008 - INRIA - Sylvestre Ledru <sylvestre.ledru@inria.fr>
19 # Copyright (C) 2007-2008 - INRIA - Vincent COUVERT <vincent.couvert@inria.fr>
20 #
21 # This file must be used under the terms of the CeCILL.
22 # This source file is licensed as described in the file COPYING, which
23 # you should have received as part of this distribution.  The terms
24 # are also available at
25 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
26
27 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
28 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
29 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
30 #
31 # This file must be used under the terms of the CeCILL.
32 # This source file is licensed as described in the file COPYING, which
33 # you should have received as part of this distribution.  The terms
34 # are also available at
35 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
36 #
37
38 ##########
39 ### Makefile included stuff
40 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
41 ##########
42
43
44 VPATH = @srcdir@
45 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
46 am__make_running_with_option = \
47   case $${target_option-} in \
48       ?) ;; \
49       *) echo "am__make_running_with_option: internal error: invalid" \
50               "target option '$${target_option-}' specified" >&2; \
51          exit 1;; \
52   esac; \
53   has_opt=no; \
54   sane_makeflags=$$MAKEFLAGS; \
55   if $(am__is_gnu_make); then \
56     sane_makeflags=$$MFLAGS; \
57   else \
58     case $$MAKEFLAGS in \
59       *\\[\ \   ]*) \
60         bs=\\; \
61         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
62           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
63     esac; \
64   fi; \
65   skip_next=no; \
66   strip_trailopt () \
67   { \
68     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
69   }; \
70   for flg in $$sane_makeflags; do \
71     test $$skip_next = yes && { skip_next=no; continue; }; \
72     case $$flg in \
73       *=*|--*) continue;; \
74         -*I) strip_trailopt 'I'; skip_next=yes;; \
75       -*I?*) strip_trailopt 'I';; \
76         -*O) strip_trailopt 'O'; skip_next=yes;; \
77       -*O?*) strip_trailopt 'O';; \
78         -*l) strip_trailopt 'l'; skip_next=yes;; \
79       -*l?*) strip_trailopt 'l';; \
80       -[dEDm]) skip_next=yes;; \
81       -[JT]) skip_next=yes;; \
82     esac; \
83     case $$flg in \
84       *$$target_option*) has_opt=yes; break;; \
85     esac; \
86   done; \
87   test $$has_opt = yes
88 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
89 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
90 pkgdatadir = $(datadir)/@PACKAGE@
91 pkgincludedir = $(includedir)/@PACKAGE@
92 pkglibdir = $(libdir)/@PACKAGE@
93 pkglibexecdir = $(libexecdir)/@PACKAGE@
94 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
95 install_sh_DATA = $(install_sh) -c -m 644
96 install_sh_PROGRAM = $(install_sh) -c
97 install_sh_SCRIPT = $(install_sh) -c
98 INSTALL_HEADER = $(INSTALL_DATA)
99 transform = $(program_transform_name)
100 NORMAL_INSTALL = :
101 PRE_INSTALL = :
102 POST_INSTALL = :
103 NORMAL_UNINSTALL = :
104 PRE_UNINSTALL = :
105 POST_UNINSTALL = :
106 build_triplet = @build@
107 host_triplet = @host@
108 @SWIG_TRUE@am__append_1 = swig
109 @GIWS_TRUE@am__append_2 = giws
110 @GUI_TRUE@am__append_3 = libsciaction_binding.la
111 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
112         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
113         $(top_srcdir)/config/depcomp
114 @NEED_JAVA_TRUE@am__append_4 = java
115 subdir = modules/action_binding
116 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
117 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
118         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
119         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
120         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
121         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
122         $(top_srcdir)/m4/intel_compiler.m4 \
123         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
124         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
125         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
126         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
127         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
128         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
129         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
130         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
131         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
132         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
133         $(top_srcdir)/configure.ac
134 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
135         $(ACLOCAL_M4)
136 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
137 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
138 CONFIG_CLEAN_FILES =
139 CONFIG_CLEAN_VPATH_FILES =
140 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
141 am__vpath_adj = case $$p in \
142     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
143     *) f=$$p;; \
144   esac;
145 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
146 am__install_max = 40
147 am__nobase_strip_setup = \
148   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
149 am__nobase_strip = \
150   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
151 am__nobase_list = $(am__nobase_strip_setup); \
152   for p in $$list; do echo "$$p $$p"; done | \
153   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
154   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
155     if (++n[$$2] == $(am__install_max)) \
156       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
157     END { for (dir in files) print dir, files[dir] }'
158 am__base_list = \
159   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
160   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
161 am__uninstall_files_from_dir = { \
162   test -z "$$files" \
163     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
164     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
165          $(am__cd) "$$dir" && rm -f $$files; }; \
166   }
167 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
168         "$(DESTDIR)$(libsciaction_binding_la_etcdir)" \
169         "$(DESTDIR)$(libsciaction_binding_la_rootdir)" \
170         "$(DESTDIR)$(libsciaction_binding_la_sci_gatewaydir)"
171 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
172 libsciaction_binding_algo_la_LIBADD =
173 am__libsciaction_binding_algo_la_SOURCES_DIST =  \
174         src/c/InterpreterManagement.c src/jni/Signal.cpp \
175         src/jni/InterpreterManagement_wrap.c
176 @GUI_TRUE@am__objects_1 = libsciaction_binding_algo_la-InterpreterManagement.lo
177 @GUI_TRUE@am__objects_2 = libsciaction_binding_algo_la-Signal.lo
178 @GUI_TRUE@am__objects_3 = libsciaction_binding_algo_la-InterpreterManagement_wrap.lo
179 am_libsciaction_binding_algo_la_OBJECTS = $(am__objects_1) \
180         $(am__objects_2) $(am__objects_3)
181 libsciaction_binding_algo_la_OBJECTS =  \
182         $(am_libsciaction_binding_algo_la_OBJECTS)
183 AM_V_lt = $(am__v_lt_@AM_V@)
184 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
185 am__v_lt_0 = --silent
186 am__v_lt_1 = 
187 @GUI_TRUE@am_libsciaction_binding_algo_la_rpath =
188 libsciaction_binding_disable_la_LIBADD =
189 am_libsciaction_binding_disable_la_OBJECTS =  \
190         libsciaction_binding_disable_la-noaction_binding.lo
191 libsciaction_binding_disable_la_OBJECTS =  \
192         $(am_libsciaction_binding_disable_la_OBJECTS)
193 libsciaction_binding_la_DEPENDENCIES = libsciaction_binding-algo.la
194 am__libsciaction_binding_la_SOURCES_DIST =  \
195         sci_gateway/c/gw_action_binding.c \
196         sci_gateway/cpp/sci_notify.cpp
197 @GUI_TRUE@am__objects_4 =  \
198 @GUI_TRUE@      libsciaction_binding_la-gw_action_binding.lo
199 @GUI_TRUE@am__objects_5 = libsciaction_binding_la-sci_notify.lo
200 am_libsciaction_binding_la_OBJECTS = $(am__objects_4) $(am__objects_5)
201 libsciaction_binding_la_OBJECTS =  \
202         $(am_libsciaction_binding_la_OBJECTS)
203 @GUI_TRUE@am_libsciaction_binding_la_rpath = -rpath $(pkglibdir)
204 AM_V_P = $(am__v_P_@AM_V@)
205 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
206 am__v_P_0 = false
207 am__v_P_1 = :
208 AM_V_GEN = $(am__v_GEN_@AM_V@)
209 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
210 am__v_GEN_0 = @echo "  GEN     " $@;
211 am__v_GEN_1 = 
212 AM_V_at = $(am__v_at_@AM_V@)
213 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
214 am__v_at_0 = @
215 am__v_at_1 = 
216 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
217 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
218 am__depfiles_maybe = depfiles
219 am__mv = mv -f
220 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
221         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
222 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
223         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
224         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
225         $(AM_CFLAGS) $(CFLAGS)
226 AM_V_CC = $(am__v_CC_@AM_V@)
227 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
228 am__v_CC_0 = @echo "  CC      " $@;
229 am__v_CC_1 = 
230 CCLD = $(CC)
231 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
232         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
233         $(AM_LDFLAGS) $(LDFLAGS) -o $@
234 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
235 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
236 am__v_CCLD_0 = @echo "  CCLD    " $@;
237 am__v_CCLD_1 = 
238 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
239         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
240 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
241         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
242         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
243         $(AM_CXXFLAGS) $(CXXFLAGS)
244 AM_V_CXX = $(am__v_CXX_@AM_V@)
245 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
246 am__v_CXX_0 = @echo "  CXX     " $@;
247 am__v_CXX_1 = 
248 CXXLD = $(CXX)
249 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
250         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
251         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
252 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
253 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
254 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
255 am__v_CXXLD_1 = 
256 SOURCES = $(libsciaction_binding_algo_la_SOURCES) \
257         $(libsciaction_binding_disable_la_SOURCES) \
258         $(libsciaction_binding_la_SOURCES)
259 DIST_SOURCES = $(am__libsciaction_binding_algo_la_SOURCES_DIST) \
260         $(libsciaction_binding_disable_la_SOURCES) \
261         $(am__libsciaction_binding_la_SOURCES_DIST)
262 am__can_run_installinfo = \
263   case $$AM_UPDATE_INFO_DIR in \
264     n|no|NO) false;; \
265     *) (install-info --version) >/dev/null 2>&1;; \
266   esac
267 DATA = $(libsciaction_binding_la_etc_DATA) \
268         $(libsciaction_binding_la_root_DATA) \
269         $(libsciaction_binding_la_sci_gateway_DATA)
270 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
271 # Read a list of newline-separated strings from the standard input,
272 # and print each of them once, without duplicates.  Input order is
273 # *not* preserved.
274 am__uniquify_input = $(AWK) '\
275   BEGIN { nonempty = 0; } \
276   { items[$$0] = 1; nonempty = 1; } \
277   END { if (nonempty) { for (i in items) print i; }; } \
278 '
279 # Make sure the list of sources is unique.  This is necessary because,
280 # e.g., the same source file might be shared among _SOURCES variables
281 # for different programs/libraries.
282 am__define_uniq_tagged_files = \
283   list='$(am__tagged_files)'; \
284   unique=`for i in $$list; do \
285     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
286   done | $(am__uniquify_input)`
287 ETAGS = etags
288 CTAGS = ctags
289 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
290 ACLOCAL = @ACLOCAL@
291 ALL_LINGUAS = @ALL_LINGUAS@
292 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
293 AMTAR = @AMTAR@
294 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
295 ANT = @ANT@
296 ANTLR = @ANTLR@
297 AR = @AR@
298 ARPACK_LIBS = @ARPACK_LIBS@
299 ASM3 = @ASM3@
300 AUTOCONF = @AUTOCONF@
301 AUTOHEADER = @AUTOHEADER@
302 AUTOMAKE = @AUTOMAKE@
303 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
304 AWK = @AWK@
305 BATIK = @BATIK@
306 BLAS_LIBS = @BLAS_LIBS@
307 CC = @CC@
308 CCACHE = @CCACHE@
309 CCDEPMODE = @CCDEPMODE@
310 CFLAGS = @CFLAGS@
311 CHECKSTYLE = @CHECKSTYLE@
312 COBERTURA = @COBERTURA@
313 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
314 COMMONS_IO = @COMMONS_IO@
315 COMMONS_LOGGING = @COMMONS_LOGGING@
316 CPP = @CPP@
317 CPPFLAGS = @CPPFLAGS@
318 CURL_CFLAGS = @CURL_CFLAGS@
319 CURL_CONFIG = @CURL_CONFIG@
320 CURL_LIBS = @CURL_LIBS@
321 CURL_VERSION = @CURL_VERSION@
322 CXX = @CXX@
323 CXXCPP = @CXXCPP@
324 CXXDEPMODE = @CXXDEPMODE@
325 CXXFLAGS = @CXXFLAGS@
326 CYGPATH_W = @CYGPATH_W@
327 DEFS = @DEFS@
328 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
329 DEPDIR = @DEPDIR@
330 DOCBOOK_ROOT = @DOCBOOK_ROOT@
331 DOXYGEN_BIN = @DOXYGEN_BIN@
332 DSYMUTIL = @DSYMUTIL@
333 DUMPBIN = @DUMPBIN@
334 ECHO_C = @ECHO_C@
335 ECHO_N = @ECHO_N@
336 ECHO_T = @ECHO_T@
337 EGREP = @EGREP@
338 EXEEXT = @EXEEXT@
339 F77 = @F77@
340 FFLAGS = @FFLAGS@
341 FFTW3_LIB = @FFTW3_LIB@
342 FFTW_ENABLE = @FFTW_ENABLE@
343 FGREP = @FGREP@
344 FLEXDOCK = @FLEXDOCK@
345 FLIBS = @FLIBS@
346 FOP = @FOP@
347 GENHTML = @GENHTML@
348 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
349 GIWS_BIN = @GIWS_BIN@
350 GLUEGEN2_RT = @GLUEGEN2_RT@
351 GMSGFMT = @GMSGFMT@
352 GMSGFMT_015 = @GMSGFMT_015@
353 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
354 GREP = @GREP@
355 GUI_ENABLE = @GUI_ENABLE@
356 HDF5_CFLAGS = @HDF5_CFLAGS@
357 HDF5_LIBS = @HDF5_LIBS@
358 HELP_ENABLE = @HELP_ENABLE@
359 INSTALL = @INSTALL@
360 INSTALL_DATA = @INSTALL_DATA@
361 INSTALL_PROGRAM = @INSTALL_PROGRAM@
362 INSTALL_SCRIPT = @INSTALL_SCRIPT@
363 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
364 INTLLIBS = @INTLLIBS@
365 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
366 JAR = @JAR@
367 JAVA = @JAVA@
368 JAVAC = @JAVAC@
369 JAVAC_DEBUG = @JAVAC_DEBUG@
370 JAVADOC = @JAVADOC@
371 JAVAH = @JAVAH@
372 JAVASCI_ENABLE = @JAVASCI_ENABLE@
373 JAVA_ENABLE = @JAVA_ENABLE@
374 JAVA_G = @JAVA_G@
375 JAVA_HOME = @JAVA_HOME@
376 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
377 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
378 JDB = @JDB@
379 JEUCLID_CORE = @JEUCLID_CORE@
380 JGRAPHX = @JGRAPHX@
381 JHALL = @JHALL@
382 JLATEXMATH = @JLATEXMATH@
383 JLATEXMATH_FOP = @JLATEXMATH_FOP@
384 JOGL2 = @JOGL2@
385 JROSETTA_API = @JROSETTA_API@
386 JROSETTA_ENGINE = @JROSETTA_ENGINE@
387 JUNIT4 = @JUNIT4@
388 LAPACK_LIBS = @LAPACK_LIBS@
389 LCOV = @LCOV@
390 LD = @LD@
391 LDFLAGS = @LDFLAGS@
392 LIBICONV = @LIBICONV@
393 LIBINTL = @LIBINTL@
394 LIBM = @LIBM@
395 LIBOBJS = @LIBOBJS@
396 LIBS = @LIBS@
397 LIBTOOL = @LIBTOOL@
398 LIPO = @LIPO@
399 LN_S = @LN_S@
400 LOGGING_LEVEL = @LOGGING_LEVEL@
401 LOOKS = @LOOKS@
402 LTLIBICONV = @LTLIBICONV@
403 LTLIBINTL = @LTLIBINTL@
404 LTLIBOBJS = @LTLIBOBJS@
405 MAINT = @MAINT@
406 MAKEINFO = @MAKEINFO@
407 MATIO_CFLAGS = @MATIO_CFLAGS@
408 MATIO_ENABLE = @MATIO_ENABLE@
409 MATIO_LIBS = @MATIO_LIBS@
410 MKDIR_P = @MKDIR_P@
411 MSGCAT = @MSGCAT@
412 MSGFMT = @MSGFMT@
413 MSGFMT_015 = @MSGFMT_015@
414 MSGMERGE = @MSGMERGE@
415 NM = @NM@
416 NMEDIT = @NMEDIT@
417 OBJDUMP = @OBJDUMP@
418 OBJEXT = @OBJEXT@
419 OCAMLC = @OCAMLC@
420 OCAMLDEP = @OCAMLDEP@
421 OCAMLLEX = @OCAMLLEX@
422 OCAMLOPT = @OCAMLOPT@
423 OCAMLYACC = @OCAMLYACC@
424 OPENMP_CFLAGS = @OPENMP_CFLAGS@
425 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
426 OPENMP_ENABLE = @OPENMP_ENABLE@
427 OPENMP_LIBS = @OPENMP_LIBS@
428 OTOOL = @OTOOL@
429 OTOOL64 = @OTOOL64@
430 PACKAGE = @PACKAGE@
431 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
432 PACKAGE_NAME = @PACKAGE_NAME@
433 PACKAGE_STRING = @PACKAGE_STRING@
434 PACKAGE_TARNAME = @PACKAGE_TARNAME@
435 PACKAGE_URL = @PACKAGE_URL@
436 PACKAGE_VERSION = @PACKAGE_VERSION@
437 PATH_SEPARATOR = @PATH_SEPARATOR@
438 PCRE_CFLAGS = @PCRE_CFLAGS@
439 PCRE_CONFIG = @PCRE_CONFIG@
440 PCRE_LIBS = @PCRE_LIBS@
441 PCRE_VERSION = @PCRE_VERSION@
442 PKG_CONFIG = @PKG_CONFIG@
443 POSUB = @POSUB@
444 POW_LIB = @POW_LIB@
445 PYTHON = @PYTHON@
446 RANLIB = @RANLIB@
447 RELOCATABLE = @RELOCATABLE@
448 RT_LIB = @RT_LIB@
449 SAXON = @SAXON@
450 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
451 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
452 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
453 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
454 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
455 SCIRENDERER = @SCIRENDERER@
456 SCIRENDERER_CP = @SCIRENDERER_CP@
457 SCI_CFLAGS = @SCI_CFLAGS@
458 SCI_CXXFLAGS = @SCI_CXXFLAGS@
459 SCI_FFLAGS = @SCI_FFLAGS@
460 SCI_LDFLAGS = @SCI_LDFLAGS@
461 SED = @SED@
462 SET_MAKE = @SET_MAKE@
463 SET_RELOCATABLE = @SET_RELOCATABLE@
464 SHELL = @SHELL@
465 SKINLF = @SKINLF@
466 SPLINT = @SPLINT@
467 STRIP = @STRIP@
468 SWIG_BIN = @SWIG_BIN@
469 SWIG_JAVA = @SWIG_JAVA@
470 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
471 TCLTK_LIBS = @TCLTK_LIBS@
472 TCL_INC_PATH = @TCL_INC_PATH@
473 TK_INC_PATH = @TK_INC_PATH@
474 UMFPACK_ENABLE = @UMFPACK_ENABLE@
475 UMFPACK_LIB = @UMFPACK_LIB@
476 USE_NLS = @USE_NLS@
477 VERSION = @VERSION@
478 WITH_OCAML = @WITH_OCAML@
479 WITH_TKSCI = @WITH_TKSCI@
480 XCOS_ENABLE = @XCOS_ENABLE@
481 XGETTEXT = @XGETTEXT@
482 XGETTEXT_015 = @XGETTEXT_015@
483 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
484 XMKMF = @XMKMF@
485 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
486 XML_APIS_EXT = @XML_APIS_EXT@
487 XML_CONFIG = @XML_CONFIG@
488 XML_FLAGS = @XML_FLAGS@
489 XML_LIBS = @XML_LIBS@
490 XML_VERSION = @XML_VERSION@
491 X_CFLAGS = @X_CFLAGS@
492 X_EXTRA_LIBS = @X_EXTRA_LIBS@
493 X_LIBS = @X_LIBS@
494 X_PRE_LIBS = @X_PRE_LIBS@
495 abs_builddir = @abs_builddir@
496 abs_srcdir = @abs_srcdir@
497 abs_top_builddir = @abs_top_builddir@
498 abs_top_srcdir = @abs_top_srcdir@
499 ac_ct_AR = @ac_ct_AR@
500 ac_ct_CC = @ac_ct_CC@
501 ac_ct_CXX = @ac_ct_CXX@
502 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
503 ac_ct_F77 = @ac_ct_F77@
504 am__include = @am__include@
505 am__leading_dot = @am__leading_dot@
506 am__quote = @am__quote@
507 am__tar = @am__tar@
508 am__untar = @am__untar@
509 bindir = @bindir@
510 build = @build@
511 build_alias = @build_alias@
512 build_cpu = @build_cpu@
513 build_os = @build_os@
514 build_vendor = @build_vendor@
515 builddir = @builddir@
516 cxx_present = @cxx_present@
517 datadir = @datadir@
518 datarootdir = @datarootdir@
519 docdir = @docdir@
520 dvidir = @dvidir@
521 exec_prefix = @exec_prefix@
522 host = @host@
523 host_alias = @host_alias@
524 host_cpu = @host_cpu@
525 host_os = @host_os@
526 host_vendor = @host_vendor@
527 htmldir = @htmldir@
528 includedir = @includedir@
529 infodir = @infodir@
530 install_sh = @install_sh@
531 libdir = @libdir@
532 libexecdir = @libexecdir@
533 localedir = @localedir@
534 localstatedir = @localstatedir@
535 mandir = @mandir@
536 mkdir_p = @mkdir_p@
537 oldincludedir = @oldincludedir@
538 pdfdir = @pdfdir@
539 prefix = @prefix@
540 program_transform_name = @program_transform_name@
541 psdir = @psdir@
542 sbindir = @sbindir@
543 sharedstatedir = @sharedstatedir@
544 srcdir = @srcdir@
545 sysconfdir = @sysconfdir@
546 target_alias = @target_alias@
547 top_build_prefix = @top_build_prefix@
548 top_builddir = @top_builddir@
549 top_srcdir = @top_srcdir@
550 @GUI_TRUE@USEANT = 1
551
552 # List of the c files
553 @GUI_TRUE@ACTION_BINDING_C_SOURCES = src/c/InterpreterManagement.c
554
555 # List of the c++ file
556 @GUI_TRUE@ACTION_BINDING_CXX_SOURCES = src/jni/Signal.cpp
557
558 # List of the gateway c files
559 @GUI_TRUE@CONSOLE_C_JNI_SOURCES = src/jni/InterpreterManagement_wrap.c
560 @GUI_TRUE@GATEWAY_C_SOURCES = sci_gateway/c/gw_action_binding.c
561 @GUI_TRUE@GATEWAY_CXX_SOURCES = sci_gateway/cpp/sci_notify.cpp
562 SWIG_WRAPPERS = src/jni/InterpreterManagement.i
563 GIWS_WRAPPERS = src/jni/Signal.giws.xml
564 BUILT_SOURCES = $(am__append_1) $(am__append_2)
565 libsciaction_binding_disable_la_SOURCES = src/noaction_binding/noaction_binding.c
566 libsciaction_binding_disable_la_CPPFLAGS = -I$(srcdir)/includes/ \
567                                                                                         -I$(top_srcdir)/modules/localization/includes/ \
568                                                                                         -I$(top_srcdir)/modules/output_stream/includes \
569                                                                                         $(AM_CPPFLAGS)
570
571
572 # Includes need for the compilation
573 libsciaction_binding_la_CPPFLAGS = $(JAVA_JNI_INCLUDE) \
574 -I$(srcdir)/includes/ \
575 -I$(srcdir)/src/c/ \
576 -I$(srcdir)/src/jni/ \
577 -I$(top_srcdir)/modules/jvm/includes/ \
578 -I$(top_srcdir)/modules/api_scilab/includes/ \
579 -I$(top_srcdir)/modules/commons/src/jni/ \
580 -I$(top_srcdir)/modules/localization/includes/ \
581 -I$(top_srcdir)/modules/output_stream/includes \
582 $(AM_CPPFLAGS)
583
584
585 # Name of the future library (.la will be replace by .so, .a, etc regarding
586 # the system)
587 pkglib_LTLIBRARIES = libsciaction_binding-disable.la $(am__append_3)
588 @GUI_TRUE@noinst_LTLIBRARIES = libsciaction_binding-algo.la
589
590 # All the sources needed by libsciaction_binding.la
591 libsciaction_binding_algo_la_SOURCES = $(ACTION_BINDING_C_SOURCES) $(ACTION_BINDING_CXX_SOURCES) $(CONSOLE_C_JNI_SOURCES)
592 libsciaction_binding_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CXX_SOURCES)
593 libsciaction_binding_algo_la_CPPFLAGS = $(libsciaction_binding_la_CPPFLAGS)
594
595 # For the code check (splint)
596 CHECK_SRC = $(ACTION_BINDING_C_SOURCES) $(GATEWAY_C_SOURCES)
597 INCLUDE_FLAGS = $(libsciaction_binding_la_CPPFLAGS)
598 libsciaction_binding_la_LIBADD = libsciaction_binding-algo.la
599
600 #### Name of the module and the path ######
601 modulename = action_binding
602
603 #### action_binding : Conf files ####
604 libsciaction_binding_la_rootdir = $(mydatadir)
605 libsciaction_binding_la_root_DATA = license.txt 
606
607 ####´┐Żaction_binding : init scripts ####
608 libsciaction_binding_la_etcdir = $(mydatadir)/etc
609 libsciaction_binding_la_etc_DATA = etc/action_binding.quit etc/action_binding.start
610
611 ####´┐Żaction_binding : gateway declaration ####
612 libsciaction_binding_la_sci_gatewaydir = $(mydatadir)/sci_gateway
613 libsciaction_binding_la_sci_gateway_DATA = sci_gateway/action_binding_gateway.xml
614
615 # Where all the Scilab stuff is installed (macros, help, ...)
616 mydatadir = $(pkgdatadir)/modules/$(modulename)
617
618 # Set AM_* SCI detected settings
619 AM_CPPFLAGS = $(SCI_CPPFLAGS)
620 AM_CFLAGS = $(SCI_CFLAGS)
621 AM_CXXFLAGS = $(SCI_CXXFLAGS)
622 # append includes to AM_FFLAGS to manage fortran includes
623 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
624
625 # Tag shared libraries with the Scilab version
626 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
627
628 # splint options
629 SPLINT_OPTIONS = -weak -booltype BOOL
630
631 ########################### JAVA ######################################
632 #### We are delegating java compilation to ant... Thanks to that
633 #### the procedure will be the same with Microsoft Windows (C)
634 #### and Linux/Unix
635 #######################################################################
636 TARGETS_ALL = $(am__append_4)
637
638 ################ MACROS ######################
639 # Rule to build a macro
640 # NOT USED  AT THE MOMENT
641 SUFFIXES = .sci 
642
643 ########### INSTALL DOCUMENTATION ###################
644
645 # Install documentation files into the right target
646 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
647 # automake needs the html files to be present which is not the case when
648 # we are building Scilab
649
650 # Where it should be installed
651 pkgdocdir = $(mydatadir)
652
653 # What is the mask of the help source
654 DOCMASKXML = *.xml
655
656 # What is the mask of the MathML sources
657 DOCMASKMML = *.mml
658
659 ########### INSTALL DATA ###################
660 # Install macros, help & demos
661 # Where it should be installed
662 pkgmacrosdir = $(mydatadir)
663 # Which directory we process
664 MACRODIRS = macros/
665 # Mask of the Scilab sources macros
666 MACROMASK = *.sci
667 # Mask of the Scilab executable sources macros
668 MACROBUILDMASK = *.sce
669 # Mask of the Scilab compiled macros
670 MACROBINMASK = *.bin
671 # List of the standard directory for tests
672 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
673 # Where the demos should be installed
674 pkgdemosdir = $(mydatadir)
675 # List of the standard directory for demos
676 DEMOS_DIR = demos
677 # List of the standard directory for examples
678 EXAMPLES_DIR = examples
679 # Where to export JAVA archives (.jar)
680 JARDIR = jar/
681 # JAR files mask
682 JARMASK = *.jar
683 # Chapter file 
684 HELP_CHAPTERDIR = help/
685 HELP_CHAPTERFILE = addchapter.sce
686 HELP_CHAPTERLANG = en_US fr_FR pt_BR
687 all: $(BUILT_SOURCES)
688         $(MAKE) $(AM_MAKEFLAGS) all-am
689
690 .SUFFIXES:
691 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
692 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
693         @for dep in $?; do \
694           case '$(am__configure_deps)' in \
695             *$$dep*) \
696               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
697                 && { if test -f $@; then exit 0; else break; fi; }; \
698               exit 1;; \
699           esac; \
700         done; \
701         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/action_binding/Makefile'; \
702         $(am__cd) $(top_srcdir) && \
703           $(AUTOMAKE) --foreign modules/action_binding/Makefile
704 .PRECIOUS: Makefile
705 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
706         @case '$?' in \
707           *config.status*) \
708             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
709           *) \
710             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
711             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
712         esac;
713 $(top_srcdir)/Makefile.incl.am:
714
715 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
716         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
717
718 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
719         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
720 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
721         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
722 $(am__aclocal_m4_deps):
723
724 clean-noinstLTLIBRARIES:
725         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
726         @list='$(noinst_LTLIBRARIES)'; \
727         locs=`for p in $$list; do echo $$p; done | \
728               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
729               sort -u`; \
730         test -z "$$locs" || { \
731           echo rm -f $${locs}; \
732           rm -f $${locs}; \
733         }
734
735 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
736         @$(NORMAL_INSTALL)
737         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
738         list2=; for p in $$list; do \
739           if test -f $$p; then \
740             list2="$$list2 $$p"; \
741           else :; fi; \
742         done; \
743         test -z "$$list2" || { \
744           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
745           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
746           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
747           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
748         }
749
750 uninstall-pkglibLTLIBRARIES:
751         @$(NORMAL_UNINSTALL)
752         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
753         for p in $$list; do \
754           $(am__strip_dir) \
755           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
756           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
757         done
758
759 clean-pkglibLTLIBRARIES:
760         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
761         @list='$(pkglib_LTLIBRARIES)'; \
762         locs=`for p in $$list; do echo $$p; done | \
763               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
764               sort -u`; \
765         test -z "$$locs" || { \
766           echo rm -f $${locs}; \
767           rm -f $${locs}; \
768         }
769
770 libsciaction_binding-algo.la: $(libsciaction_binding_algo_la_OBJECTS) $(libsciaction_binding_algo_la_DEPENDENCIES) $(EXTRA_libsciaction_binding_algo_la_DEPENDENCIES) 
771         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciaction_binding_algo_la_rpath) $(libsciaction_binding_algo_la_OBJECTS) $(libsciaction_binding_algo_la_LIBADD) $(LIBS)
772
773 libsciaction_binding-disable.la: $(libsciaction_binding_disable_la_OBJECTS) $(libsciaction_binding_disable_la_DEPENDENCIES) $(EXTRA_libsciaction_binding_disable_la_DEPENDENCIES) 
774         $(AM_V_CCLD)$(LINK) -rpath $(pkglibdir) $(libsciaction_binding_disable_la_OBJECTS) $(libsciaction_binding_disable_la_LIBADD) $(LIBS)
775
776 libsciaction_binding.la: $(libsciaction_binding_la_OBJECTS) $(libsciaction_binding_la_DEPENDENCIES) $(EXTRA_libsciaction_binding_la_DEPENDENCIES) 
777         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciaction_binding_la_rpath) $(libsciaction_binding_la_OBJECTS) $(libsciaction_binding_la_LIBADD) $(LIBS)
778
779 mostlyclean-compile:
780         -rm -f *.$(OBJEXT)
781
782 distclean-compile:
783         -rm -f *.tab.c
784
785 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciaction_binding_algo_la-InterpreterManagement.Plo@am__quote@
786 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciaction_binding_algo_la-InterpreterManagement_wrap.Plo@am__quote@
787 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciaction_binding_algo_la-Signal.Plo@am__quote@
788 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciaction_binding_disable_la-noaction_binding.Plo@am__quote@
789 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciaction_binding_la-gw_action_binding.Plo@am__quote@
790 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciaction_binding_la-sci_notify.Plo@am__quote@
791
792 .c.o:
793 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
794 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
795 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
796 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
797 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
798
799 .c.obj:
800 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
801 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
802 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
803 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
804 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
805
806 .c.lo:
807 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
808 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
809 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
810 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
811 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
812
813 libsciaction_binding_algo_la-InterpreterManagement.lo: src/c/InterpreterManagement.c
814 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciaction_binding_algo_la-InterpreterManagement.lo -MD -MP -MF $(DEPDIR)/libsciaction_binding_algo_la-InterpreterManagement.Tpo -c -o libsciaction_binding_algo_la-InterpreterManagement.lo `test -f 'src/c/InterpreterManagement.c' || echo '$(srcdir)/'`src/c/InterpreterManagement.c
815 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciaction_binding_algo_la-InterpreterManagement.Tpo $(DEPDIR)/libsciaction_binding_algo_la-InterpreterManagement.Plo
816 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/InterpreterManagement.c' object='libsciaction_binding_algo_la-InterpreterManagement.lo' libtool=yes @AMDEPBACKSLASH@
817 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
818 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciaction_binding_algo_la-InterpreterManagement.lo `test -f 'src/c/InterpreterManagement.c' || echo '$(srcdir)/'`src/c/InterpreterManagement.c
819
820 libsciaction_binding_algo_la-InterpreterManagement_wrap.lo: src/jni/InterpreterManagement_wrap.c
821 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciaction_binding_algo_la-InterpreterManagement_wrap.lo -MD -MP -MF $(DEPDIR)/libsciaction_binding_algo_la-InterpreterManagement_wrap.Tpo -c -o libsciaction_binding_algo_la-InterpreterManagement_wrap.lo `test -f 'src/jni/InterpreterManagement_wrap.c' || echo '$(srcdir)/'`src/jni/InterpreterManagement_wrap.c
822 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciaction_binding_algo_la-InterpreterManagement_wrap.Tpo $(DEPDIR)/libsciaction_binding_algo_la-InterpreterManagement_wrap.Plo
823 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/InterpreterManagement_wrap.c' object='libsciaction_binding_algo_la-InterpreterManagement_wrap.lo' libtool=yes @AMDEPBACKSLASH@
824 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
825 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciaction_binding_algo_la-InterpreterManagement_wrap.lo `test -f 'src/jni/InterpreterManagement_wrap.c' || echo '$(srcdir)/'`src/jni/InterpreterManagement_wrap.c
826
827 libsciaction_binding_disable_la-noaction_binding.lo: src/noaction_binding/noaction_binding.c
828 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciaction_binding_disable_la-noaction_binding.lo -MD -MP -MF $(DEPDIR)/libsciaction_binding_disable_la-noaction_binding.Tpo -c -o libsciaction_binding_disable_la-noaction_binding.lo `test -f 'src/noaction_binding/noaction_binding.c' || echo '$(srcdir)/'`src/noaction_binding/noaction_binding.c
829 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciaction_binding_disable_la-noaction_binding.Tpo $(DEPDIR)/libsciaction_binding_disable_la-noaction_binding.Plo
830 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/noaction_binding/noaction_binding.c' object='libsciaction_binding_disable_la-noaction_binding.lo' libtool=yes @AMDEPBACKSLASH@
831 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
832 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciaction_binding_disable_la-noaction_binding.lo `test -f 'src/noaction_binding/noaction_binding.c' || echo '$(srcdir)/'`src/noaction_binding/noaction_binding.c
833
834 libsciaction_binding_la-gw_action_binding.lo: sci_gateway/c/gw_action_binding.c
835 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciaction_binding_la-gw_action_binding.lo -MD -MP -MF $(DEPDIR)/libsciaction_binding_la-gw_action_binding.Tpo -c -o libsciaction_binding_la-gw_action_binding.lo `test -f 'sci_gateway/c/gw_action_binding.c' || echo '$(srcdir)/'`sci_gateway/c/gw_action_binding.c
836 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciaction_binding_la-gw_action_binding.Tpo $(DEPDIR)/libsciaction_binding_la-gw_action_binding.Plo
837 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_action_binding.c' object='libsciaction_binding_la-gw_action_binding.lo' libtool=yes @AMDEPBACKSLASH@
838 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
839 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciaction_binding_la-gw_action_binding.lo `test -f 'sci_gateway/c/gw_action_binding.c' || echo '$(srcdir)/'`sci_gateway/c/gw_action_binding.c
840
841 .cpp.o:
842 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
843 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
844 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
845 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
846 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
847
848 .cpp.obj:
849 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
850 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
851 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
852 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
853 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
854
855 .cpp.lo:
856 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
857 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
858 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
859 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
860 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
861
862 libsciaction_binding_algo_la-Signal.lo: src/jni/Signal.cpp
863 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciaction_binding_algo_la-Signal.lo -MD -MP -MF $(DEPDIR)/libsciaction_binding_algo_la-Signal.Tpo -c -o libsciaction_binding_algo_la-Signal.lo `test -f 'src/jni/Signal.cpp' || echo '$(srcdir)/'`src/jni/Signal.cpp
864 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciaction_binding_algo_la-Signal.Tpo $(DEPDIR)/libsciaction_binding_algo_la-Signal.Plo
865 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/Signal.cpp' object='libsciaction_binding_algo_la-Signal.lo' libtool=yes @AMDEPBACKSLASH@
866 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
867 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciaction_binding_algo_la-Signal.lo `test -f 'src/jni/Signal.cpp' || echo '$(srcdir)/'`src/jni/Signal.cpp
868
869 libsciaction_binding_la-sci_notify.lo: sci_gateway/cpp/sci_notify.cpp
870 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciaction_binding_la-sci_notify.lo -MD -MP -MF $(DEPDIR)/libsciaction_binding_la-sci_notify.Tpo -c -o libsciaction_binding_la-sci_notify.lo `test -f 'sci_gateway/cpp/sci_notify.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_notify.cpp
871 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciaction_binding_la-sci_notify.Tpo $(DEPDIR)/libsciaction_binding_la-sci_notify.Plo
872 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_notify.cpp' object='libsciaction_binding_la-sci_notify.lo' libtool=yes @AMDEPBACKSLASH@
873 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
874 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciaction_binding_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciaction_binding_la-sci_notify.lo `test -f 'sci_gateway/cpp/sci_notify.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_notify.cpp
875
876 mostlyclean-libtool:
877         -rm -f *.lo
878
879 clean-libtool:
880         -rm -rf .libs _libs
881 install-libsciaction_binding_la_etcDATA: $(libsciaction_binding_la_etc_DATA)
882         @$(NORMAL_INSTALL)
883         @list='$(libsciaction_binding_la_etc_DATA)'; test -n "$(libsciaction_binding_la_etcdir)" || list=; \
884         if test -n "$$list"; then \
885           echo " $(MKDIR_P) '$(DESTDIR)$(libsciaction_binding_la_etcdir)'"; \
886           $(MKDIR_P) "$(DESTDIR)$(libsciaction_binding_la_etcdir)" || exit 1; \
887         fi; \
888         for p in $$list; do \
889           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
890           echo "$$d$$p"; \
891         done | $(am__base_list) | \
892         while read files; do \
893           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciaction_binding_la_etcdir)'"; \
894           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciaction_binding_la_etcdir)" || exit $$?; \
895         done
896
897 uninstall-libsciaction_binding_la_etcDATA:
898         @$(NORMAL_UNINSTALL)
899         @list='$(libsciaction_binding_la_etc_DATA)'; test -n "$(libsciaction_binding_la_etcdir)" || list=; \
900         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
901         dir='$(DESTDIR)$(libsciaction_binding_la_etcdir)'; $(am__uninstall_files_from_dir)
902 install-libsciaction_binding_la_rootDATA: $(libsciaction_binding_la_root_DATA)
903         @$(NORMAL_INSTALL)
904         @list='$(libsciaction_binding_la_root_DATA)'; test -n "$(libsciaction_binding_la_rootdir)" || list=; \
905         if test -n "$$list"; then \
906           echo " $(MKDIR_P) '$(DESTDIR)$(libsciaction_binding_la_rootdir)'"; \
907           $(MKDIR_P) "$(DESTDIR)$(libsciaction_binding_la_rootdir)" || exit 1; \
908         fi; \
909         for p in $$list; do \
910           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
911           echo "$$d$$p"; \
912         done | $(am__base_list) | \
913         while read files; do \
914           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciaction_binding_la_rootdir)'"; \
915           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciaction_binding_la_rootdir)" || exit $$?; \
916         done
917
918 uninstall-libsciaction_binding_la_rootDATA:
919         @$(NORMAL_UNINSTALL)
920         @list='$(libsciaction_binding_la_root_DATA)'; test -n "$(libsciaction_binding_la_rootdir)" || list=; \
921         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
922         dir='$(DESTDIR)$(libsciaction_binding_la_rootdir)'; $(am__uninstall_files_from_dir)
923 install-libsciaction_binding_la_sci_gatewayDATA: $(libsciaction_binding_la_sci_gateway_DATA)
924         @$(NORMAL_INSTALL)
925         @list='$(libsciaction_binding_la_sci_gateway_DATA)'; test -n "$(libsciaction_binding_la_sci_gatewaydir)" || list=; \
926         if test -n "$$list"; then \
927           echo " $(MKDIR_P) '$(DESTDIR)$(libsciaction_binding_la_sci_gatewaydir)'"; \
928           $(MKDIR_P) "$(DESTDIR)$(libsciaction_binding_la_sci_gatewaydir)" || exit 1; \
929         fi; \
930         for p in $$list; do \
931           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
932           echo "$$d$$p"; \
933         done | $(am__base_list) | \
934         while read files; do \
935           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciaction_binding_la_sci_gatewaydir)'"; \
936           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciaction_binding_la_sci_gatewaydir)" || exit $$?; \
937         done
938
939 uninstall-libsciaction_binding_la_sci_gatewayDATA:
940         @$(NORMAL_UNINSTALL)
941         @list='$(libsciaction_binding_la_sci_gateway_DATA)'; test -n "$(libsciaction_binding_la_sci_gatewaydir)" || list=; \
942         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
943         dir='$(DESTDIR)$(libsciaction_binding_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
944
945 ID: $(am__tagged_files)
946         $(am__define_uniq_tagged_files); mkid -fID $$unique
947 tags: tags-am
948 TAGS: tags
949
950 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
951         set x; \
952         here=`pwd`; \
953         $(am__define_uniq_tagged_files); \
954         shift; \
955         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
956           test -n "$$unique" || unique=$$empty_fix; \
957           if test $$# -gt 0; then \
958             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
959               "$$@" $$unique; \
960           else \
961             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
962               $$unique; \
963           fi; \
964         fi
965 ctags: ctags-am
966
967 CTAGS: ctags
968 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
969         $(am__define_uniq_tagged_files); \
970         test -z "$(CTAGS_ARGS)$$unique" \
971           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
972              $$unique
973
974 GTAGS:
975         here=`$(am__cd) $(top_builddir) && pwd` \
976           && $(am__cd) $(top_srcdir) \
977           && gtags -i $(GTAGS_ARGS) "$$here"
978 cscopelist: cscopelist-am
979
980 cscopelist-am: $(am__tagged_files)
981         list='$(am__tagged_files)'; \
982         case "$(srcdir)" in \
983           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
984           *) sdir=$(subdir)/$(srcdir) ;; \
985         esac; \
986         for i in $$list; do \
987           if test -f "$$i"; then \
988             echo "$(subdir)/$$i"; \
989           else \
990             echo "$$sdir/$$i"; \
991           fi; \
992         done >> $(top_builddir)/cscope.files
993
994 distclean-tags:
995         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
996
997 distdir: $(DISTFILES)
998         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
999         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1000         list='$(DISTFILES)'; \
1001           dist_files=`for file in $$list; do echo $$file; done | \
1002           sed -e "s|^$$srcdirstrip/||;t" \
1003               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1004         case $$dist_files in \
1005           */*) $(MKDIR_P) `echo "$$dist_files" | \
1006                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1007                            sort -u` ;; \
1008         esac; \
1009         for file in $$dist_files; do \
1010           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1011           if test -d $$d/$$file; then \
1012             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1013             if test -d "$(distdir)/$$file"; then \
1014               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1015             fi; \
1016             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1017               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1018               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1019             fi; \
1020             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1021           else \
1022             test -f "$(distdir)/$$file" \
1023             || cp -p $$d/$$file "$(distdir)/$$file" \
1024             || exit 1; \
1025           fi; \
1026         done
1027 check-am: all-am
1028         $(MAKE) $(AM_MAKEFLAGS) check-local
1029 check: $(BUILT_SOURCES)
1030         $(MAKE) $(AM_MAKEFLAGS) check-am
1031 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1032 installdirs:
1033         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciaction_binding_la_etcdir)" "$(DESTDIR)$(libsciaction_binding_la_rootdir)" "$(DESTDIR)$(libsciaction_binding_la_sci_gatewaydir)"; do \
1034           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1035         done
1036 install: $(BUILT_SOURCES)
1037         $(MAKE) $(AM_MAKEFLAGS) install-am
1038 install-exec: install-exec-am
1039 install-data: install-data-am
1040 uninstall: uninstall-am
1041
1042 install-am: all-am
1043         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1044
1045 installcheck: installcheck-am
1046 install-strip:
1047         if test -z '$(STRIP)'; then \
1048           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1049             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1050               install; \
1051         else \
1052           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1053             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1054             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1055         fi
1056 mostlyclean-generic:
1057
1058 clean-generic:
1059
1060 distclean-generic:
1061         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1062         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1063
1064 maintainer-clean-generic:
1065         @echo "This command is intended for maintainers to use"
1066         @echo "it deletes files that may require special tools to rebuild."
1067         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1068 clean: clean-am
1069
1070 clean-am: clean-generic clean-libtool clean-local \
1071         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1072
1073 distclean: distclean-am
1074         -rm -rf ./$(DEPDIR)
1075         -rm -f Makefile
1076 distclean-am: clean-am distclean-compile distclean-generic \
1077         distclean-local distclean-tags
1078
1079 dvi: dvi-am
1080
1081 dvi-am:
1082
1083 html: html-am
1084
1085 html-am:
1086
1087 info: info-am
1088
1089 info-am:
1090
1091 install-data-am: install-data-local \
1092         install-libsciaction_binding_la_etcDATA \
1093         install-libsciaction_binding_la_rootDATA \
1094         install-libsciaction_binding_la_sci_gatewayDATA
1095
1096 install-dvi: install-dvi-am
1097
1098 install-dvi-am:
1099
1100 install-exec-am: install-pkglibLTLIBRARIES
1101
1102 install-html: install-html-am
1103
1104 install-html-am: install-html-local
1105
1106 install-info: install-info-am
1107
1108 install-info-am:
1109
1110 install-man:
1111
1112 install-pdf: install-pdf-am
1113
1114 install-pdf-am:
1115
1116 install-ps: install-ps-am
1117
1118 install-ps-am:
1119
1120 installcheck-am:
1121
1122 maintainer-clean: maintainer-clean-am
1123         -rm -rf ./$(DEPDIR)
1124         -rm -f Makefile
1125 maintainer-clean-am: distclean-am maintainer-clean-generic
1126
1127 mostlyclean: mostlyclean-am
1128
1129 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1130         mostlyclean-libtool
1131
1132 pdf: pdf-am
1133
1134 pdf-am:
1135
1136 ps: ps-am
1137
1138 ps-am:
1139
1140 uninstall-am: uninstall-libsciaction_binding_la_etcDATA \
1141         uninstall-libsciaction_binding_la_rootDATA \
1142         uninstall-libsciaction_binding_la_sci_gatewayDATA \
1143         uninstall-pkglibLTLIBRARIES
1144
1145 .MAKE: all check check-am install install-am install-strip
1146
1147 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1148         check-local clean clean-generic clean-libtool clean-local \
1149         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1150         ctags ctags-am distclean distclean-compile distclean-generic \
1151         distclean-libtool distclean-local distclean-tags distdir dvi \
1152         dvi-am html html-am info info-am install install-am \
1153         install-data install-data-am install-data-local install-dvi \
1154         install-dvi-am install-exec install-exec-am install-html \
1155         install-html-am install-html-local install-info \
1156         install-info-am install-libsciaction_binding_la_etcDATA \
1157         install-libsciaction_binding_la_rootDATA \
1158         install-libsciaction_binding_la_sci_gatewayDATA install-man \
1159         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1160         install-ps install-ps-am install-strip installcheck \
1161         installcheck-am installdirs maintainer-clean \
1162         maintainer-clean-generic mostlyclean mostlyclean-compile \
1163         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1164         tags tags-am uninstall uninstall-am \
1165         uninstall-libsciaction_binding_la_etcDATA \
1166         uninstall-libsciaction_binding_la_rootDATA \
1167         uninstall-libsciaction_binding_la_sci_gatewayDATA \
1168         uninstall-pkglibLTLIBRARIES
1169
1170
1171 # This target enables tests for Scilab
1172 check-local: $(top_builddir)/scilab-bin test
1173         if test -d $(mydatadir)/tests; then \
1174           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1175         fi
1176 check-code:
1177         if test -f build.xml; then \
1178                 $(ANT) checkstyle; \
1179         fi
1180         if test -x "$(SPLINT)"; then \
1181                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1182         fi
1183 @NEED_JAVA_TRUE@java:
1184 # Some configurations needs to export JAVA_HOME in the current env
1185 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1186 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1187 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1188 @NEED_JAVA_TRUE@                $(ANT); \
1189 @NEED_JAVA_TRUE@        fi
1190
1191 @NEED_JAVA_TRUE@clean-java:
1192 # Some configurations needs to export JAVA_HOME in the current env
1193 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1194 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1195 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1196 @NEED_JAVA_TRUE@                $(ANT) clean; \
1197 @NEED_JAVA_TRUE@        fi;
1198
1199 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1200 # We call the target swig-build on the variable SWIG_WRAPPERS
1201
1202 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1203 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1204 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1205 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1206 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1207 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1208 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1209 @SWIG_TRUE@             done; \
1210 @SWIG_TRUE@     fi
1211
1212 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1213 # We call the target swig-build on the variable SWIG_WRAPPERS
1214
1215 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1216 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1217 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1218 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1219 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1220 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1221 @GIWS_TRUE@             done; \
1222 @GIWS_TRUE@     fi
1223
1224 @GIWS_TRUE@giws-exception:
1225 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1226 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1227 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1228
1229 macros:
1230         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1231                 echo "Error : Cannot build $< : Scilab has not been built"; \
1232         else \
1233                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1234         fi)
1235
1236 # Removes the macros
1237 clean-macros:
1238 # Removes macros (*.bin generated from .sci)
1239         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1240                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1241                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1242         done
1243
1244 test:
1245 # More tests could be added here
1246         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1247         if test -f build.xml -a $$USEANT -eq 1; then \
1248                 $(ANT) test; \
1249         fi
1250
1251 all-local: $(TARGETS_ALL)
1252
1253 .sci.bin:
1254         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1255         echo "Error : Cannot build $< : Scilab has not been build"; \
1256         else \
1257         echo "Creating $@"; \
1258         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1259         fi )
1260
1261 install-html-local:
1262
1263 install-data-local-local:
1264 # Mainly for javasci
1265         @if test -d $(srcdir)/javadoc; then \
1266                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1267         fi
1268 # If the user wants the help sources to be installed
1269 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1270 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1271 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1272 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1273 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1274 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1275 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1276 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1277 @INSTALL_HELP_XML_TRUE@           done ; \
1278 @INSTALL_HELP_XML_TRUE@         fi; \
1279 @INSTALL_HELP_XML_TRUE@  fi; \
1280 @INSTALL_HELP_XML_TRUE@ done; \
1281 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1282 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1283 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1284 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1285 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1286 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1287 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1288 @INSTALL_HELP_XML_TRUE@           done ; \
1289 @INSTALL_HELP_XML_TRUE@         fi; \
1290 @INSTALL_HELP_XML_TRUE@ fi
1291 install-data-local:
1292 # Install the tests
1293         @echo "-------- Install tests (if any) --------"; \
1294         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1295           if test -d $(srcdir)/$$dir/; then \
1296             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1297                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1298                     if test -d "$(srcdir)/$$dir/$$file"; then \
1299                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1300                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1301                     else \
1302                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1303                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1304                     fi \
1305                   done; \
1306           fi; \
1307         done
1308 # Install the help chapter
1309         @echo "-------- Install the help chapter (if any) --------"; \
1310         for lang in $(HELP_CHAPTERLANG); do \
1311                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1312                 if test -f $$HELPFILE; then \
1313                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1314                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1315                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1316                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1317                 fi; \
1318         done
1319 # Install the demos & examples
1320         @echo "-------- Install demos & examples (if any) --------"; \
1321         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1322           if test -d $(srcdir)/$$dir/; then \
1323             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1324                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1325                     if test -d "$(srcdir)/$$dir/$$file"; then \
1326                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1327                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1328                     else \
1329                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1330                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1331                     fi \
1332                   done; \
1333           fi; \
1334         done
1335 # Install the macros
1336         @echo "-------- Install macros (if any) --------"; \
1337         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1338           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1339                 if test -d $(srcdir)/$$dir/; then \
1340                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1341                         if test -n "$(MACROSSPECIALEXT)"; then \
1342                                 specialExtDir=""; \
1343                                 for specialExt in $(MACROSSPECIALEXT); do \
1344                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1345                                 done; \
1346                                 FILELIST="$$FILELIST $$specialExtDir"; \
1347                         fi; \
1348                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1349                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1350                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1351                   done; \
1352                 fi; \
1353         done
1354 # Install java files (.jar)
1355         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1356         echo "-------- Install jar files --------"; \
1357     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1358           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1359                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1360                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1361           done ; \
1362         fi
1363
1364 ########### CLEAN ###################
1365 # Clean help (generated automatically by Scilab)
1366 # It used to clean the macro (clean-macros) but this was causing
1367 # make clean && make to fail Scilab startup
1368 @NEED_JAVA_TRUE@clean-local: clean-java
1369 @NEED_JAVA_FALSE@clean-local:
1370
1371 distclean-local:
1372         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1373
1374 .PHONY: macros java swig giws
1375
1376 # Provides macros compilation, Java compilation, cleaning
1377 # If you want Makefile to call ant, added USEANT=1
1378
1379 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1380 # Otherwise a system limit (for SysV at least) may be exceeded.
1381 .NOEXPORT: